WordPress.org

Forums

WP Geo
[resolved] 3G Browsing - Site needs a different Google Maps API key (3 posts)

  1. SG-Smith
    Member
    Posted 2 years ago #

    Hi,

    I have the up to date V2 API selected and the latest version of WP-Geo installed, when browser testing my site I have found that the error below shows up but only when browsing the site via a 3G connection. The same mobile device on wifi or any broadband connection is fine.

    This is the error which has previously been reported fixed:

    "This web site needs a different Google Maps API key. A new key can be generated at http://code.google.com/apis/maps/documentation/javascript/v2/introduction.html#Obtaining_Key."

    Thanks in advance for any solutions.

    http://wordpress.org/extend/plugins/wp-geo/

  2. Ben Huson
    Member
    Plugin Author

    Posted 2 years ago #

    WP Geo still uses Google Maps v2 API which doesn't work well on mobile devices. I'm planning to migrate it to but I what to try to do it in a way that won;t break for people who have currently extend the functionality which is proving more tricky.

  3. SG-Smith
    Member
    Posted 2 years ago #

    Hi Ben,

    Many thanks for your reply. I must say I really think the plugin is excellent and integrating the new Google API would be great.

    With localisation being a big factor in SERPs I think this plugin has big potential for site navigation and Geo targeting to optimise a site performance. So I'll be really interested to how this plugin evolves.

    Many Thanks Again!

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • WP Geo
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.